Skip to main content
PATCH
/
v3
/
orgs
/
{org_id}
/
iam
/
members
/
{member_id}
Update a member's status
curl --request PATCH \
  --url https://api.ctrl-hub.com/v3/orgs/{org_id}/iam/members/{member_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {}
  }
}
'
import requests

url = "https://api.ctrl-hub.com/v3/orgs/{org_id}/iam/members/{member_id}"

payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {}
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', type: '<string>', attributes: {}}
})
};

fetch('https://api.ctrl-hub.com/v3/orgs/{org_id}/iam/members/{member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "email": "jsmith@example.com",
      "identities": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "platform": "<string>",
          "meta": {}
        }
      ],
      "profile": {
        "work": {
          "occupation": "<string>",
          "cscs": "<string>",
          "eusr": "<string>",
          "start_date": "2023-12-25"
        },
        "personal": {
          "first_name": "<string>",
          "last_name": "<string>",
          "dob": "2023-12-25",
          "username": "<string>"
        },
        "contact": {
          "mobile": "<string>",
          "landline": "<string>"
        },
        "address": {
          "number": "",
          "street": "<string>",
          "area": "<string>",
          "town": "<string>",
          "county": "<string>",
          "postcode": "<string>",
          "country_code": "<string>",
          "what3words": "<string>"
        },
        "settings": {
          "preferred_language": "en-GB",
          "timezone": "<string>"
        }
      }
    },
    "meta": {
      "grants": [
        "<string>"
      ]
    },
    "relationships": {
      "organisations": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "teams": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "managing_organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "sandbox": true,
        "description": "<string>",
        "settings": {}
      },
      "meta": {
        "v3": true,
        "status": "active",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "features": [
          {
            "name": "<string>",
            "enabled": true,
            "limit": 123
          }
        ]
      },
      "relationships": {
        "users": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "service_accounts": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "groups": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "teams": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "nomenclature": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ]
}
{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}
{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}
{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}
{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

org_id
string<uuid>
required

The unique identifier for the organisation.

member_id
string<uuid>
required

The unique identifier for the member.

Body

application/vnd.api+json

The member to update. Only the status attribute is accepted; values must be one of active or inactive.

data
object
required

Response

Get a User.

JSON API response object

data
object
required

A user

jsonapi
object
required
included
object[]

Related resources that can be included when a user is returned

An organisation